Package org.apache.commons.fileupload2.jakarta.servlet5

# Class JakartaServletDiskFileUpload

java.lang.Object
org.apache.commons.fileupload2.core.AbstractFileUpload<HttpServletRequest,DiskFileItem,DiskFileItemFactory>
org.apache.commons.fileupload2.jakarta.servlet5.JakartaServletFileUpload<DiskFileItem,DiskFileItemFactory>
org.apache.commons.fileupload2.jakarta.servlet5.JakartaServletDiskFileUpload

public class JakartaServletDiskFileUpload extends JakartaServletFileUpload<DiskFileItem,DiskFileItemFactory>
A JakartaServletFileUpload for `DiskFileItem` and `DiskFileItemFactory`.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.fileupload2.core.AbstractFileUpload

  `ATTACHMENT, CONTENT_DISPOSITION, CONTENT_LENGTH, CONTENT_TYPE, FORM_DATA, MULTIPART, MULTIPART_FORM_DATA, MULTIPART_MIXED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JakartaServletDiskFileUpload()`
  `JakartaServletDiskFileUpload(DiskFileItemFactory fileItemFactory)`

- ## Method Summary

  ### Methods inherited from class org.apache.commons.fileupload2.jakarta.servlet5.JakartaServletFileUpload

  `getItemIterator, isMultipartContent, parseParameterMap, parseRequest`

  ### Methods inherited from class org.apache.commons.fileupload2.core.AbstractFileUpload

  `getBoundary, getFieldName, getFileCountMax, getFileItemFactory, getFileName, getFileSizeMax, getHeaderCharset, getItemIterator, getParsedHeaders, getProgressListener, getSizeMax, isMultipartContent, newFileItemHeaders, parseParameterMap, parseRequest, setFileCountMax, setFileItemFactory, setFileSizeMax, setHeaderCharset, setProgressListener, setSizeMax`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JakartaServletDiskFileUpload

    public JakartaServletDiskFileUpload()

  - ### JakartaServletDiskFileUpload

    public JakartaServletDiskFileUpload(DiskFileItemFactory fileItemFactory)